=== debian/changelog ===
tdelibs-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:39:39 +0200

tdelibs-trinity (4:3.5.12-0ubuntu6+r1116280) lucid; urgency=low

  * Automated svn build

 -- root <kb9vqf@pearsoncomputing.net>  Sun, 18 Apr 2010 21:42:57 -0500

tdelibs-trinity (4:3.5.10-0ubuntu16) karmic; urgency=low

  * Microsoft docx mimetypes handled properly

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 09 Dec 2009 21:46:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu14) karmic; urgency=low

  * Trinity rebranding
  * Bug report redirection to active bugtracker

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 08 Dec 2009 12:17:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu12) karmic; urgency=low

  * Repaired Konqueror JavaScript crash

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 25 Oct 2009 02:44:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu10) karmic; urgency=low

  * Added a script to generate device links /dev/cdrom and /dev/dvd if they do not already exist

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Oct 2009 20:17:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu9) karmic; urgency=low

  * Fixed make_driver_db_cups path

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Oct 2009 20:17:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu7) karmic; urgency=low

  * Fixed dependency on kdescripts

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 07 Aug 2009 14:14:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu6) karmic; urgency=low

  * Library paths fixed

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 06 Aug 2009 14:56:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu3~intrepid7) intrepid; urgency=low

  * Updated kate syntax editor files (closes Bug #91)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 05 Jun 2009 16:39:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu3~intrepid6) intrepid; urgency=low

  * Added proper KDE4 application labelling and starting to Trinity menu

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 27 Mar 2009 00:13:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu3~intrepid5) intrepid; urgency=low

  * Added conflict and provide for tdelibs-data << 4:4.0  (Closes bug #61)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 20 Mar 2009 11:56:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu3~intrepid4) intrepid; urgency=low

  * Repaired tdecmshell root environment default data directory

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 20 Mar 2009 11:56:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu3~intrepid1) intrepid; urgency=low

  * Repaired tdecmshell root environment

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 09 Mar 2009 13:21:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu2~intrepid10) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 25 Feb 2009 15:12:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu2~intrepid5) intrepid; urgency=low

  * Fixed kde data directory default

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Jan 2009 16:55:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu2~intrepid4) intrepid; urgency=low

  * Added /usr/trinity/lib to ld.so.conf.d

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 17 Dec 2008 17:51:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu2~intrepid1) intrepid; urgency=low

  * Fixed build-depends

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 15 Dec 2008 10:37:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu1~intrepid9) intrepid; urgency=low

  * Linked several core KDE libraries to /usr/lib

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu1~intrepid7) intrepid; urgency=low

  * Changed tdestartupconfig default HOME of /.kde to /.trinity

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu1~intrepid6) intrepid; urgency=low

  * Add -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

tdelibs (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * Upstream bug fix release (LP: #261366)
    - Dropped kubuntu_98_kate_paste_cursor.diff applied upstream
    - Dropped kubuntu_9903_kinit_integer_overflow.diff applied upstream

 -- Scott Kitterman <scott@kitterman.com>  Mon, 25 Aug 2008 23:37:18 -0400

tdelibs (4:3.5.9-0ubuntu7.1) hardy-security; urgency=low

  * SECURITY UPDATE: integer overflow in start_tdeinit. The start_tdeinit
    processing of user-influenceable input is faulty.  A local user
    might be able to send unix signals to other processes, cause
    a denial of service or even possibly execute arbitrary code.
  * Add kubuntu_9903_kinit_integer_overflow.diff, edits
    kinit/start_tdeinit.c, patch from upstream KDE
  * References
    http://www.kde.org/info/security/advisory-20080426-2.txt
    CVE-2008-1671

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Apr 2008 16:01:13 +0100

tdelibs (4:3.5.9-0ubuntu7) hardy; urgency=low

  * Update debian/patches/kubuntu_55_printer_sharing.diff to run
    system-config-printer-kde to let users enable printer sharing
    rather than the old cups settings scripts.  Closes LP: #208381

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2008 00:03:28 +0100

tdelibs (4:3.5.9-0ubuntu6) hardy; urgency=low

  * Renamed kubuntu_99_system_config_printer_applet.diff to
    kubuntu_9901_system_config_printer_applet.diff
  * Added kubuntu_9902_kde4_kded_blacklist_modules.diff, don't autoload
    every kded modules in KDE4, replace kubuntu_9924_kde4_no_medianotifier.diff
    from tdebase

 -- Guillaume Martres <smarter@ubuntu.com>  Fri, 28 Mar 2008 19:49:46 +0100


